Index: /pom.xml
===================================================================
--- /pom.xml	(revision 20)
+++ /pom.xml	(revision 21)
@@ -6,5 +6,5 @@
 	<artifactId>partiesserver</artifactId>
 	<packaging>war</packaging>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<name>partiesserver Maven Webapp</name>
 	<url>http://maven.apache.org</url>
@@ -19,5 +19,5 @@
 		<!-- <tomcat.version>8.0.53</tomcat.version> -->
 		<tomcat.version>8.5.20</tomcat.version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -334,5 +334,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -341,8 +341,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: /src/main/java/geniusweb/partiesserver/Info.java
===================================================================
--- /src/main/java/geniusweb/partiesserver/Info.java	(revision 20)
+++ /src/main/java/geniusweb/partiesserver/Info.java	(revision 21)
@@ -23,15 +23,15 @@
 
 	/**
-	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
-	 *      response). Returns
-	 *      <ul>
-	 *      <li>URL with websocket address to contact the now running agent.
-	 *      <li>SC_NOT_FOUND (404) if attempt is made to access non-running
-	 *      party.
-	 *      <li>SC_SERVICE_UNAVAILABLE (503) if there are no free slots to run
-	 *      the party.
-	 *      <li>SC_EXPECTATION_FAILED (417) if something else goes wrong during
-	 *      instantiating the party (then see logs for more details)
-	 *      </ul>
+	 * see
+	 * {@link HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)}.
+	 * Returns to the http caller
+	 * <ul>
+	 * <li>URL with websocket address to contact the now running agent.
+	 * <li>SC_NOT_FOUND (404) if attempt is made to access non-running party.
+	 * <li>SC_SERVICE_UNAVAILABLE (503) if there are no free slots to run the
+	 * party.
+	 * <li>SC_EXPECTATION_FAILED (417) if something else goes wrong during
+	 * instantiating the party (then see logs for more details)
+	 * </ul>
 	 */
 	@Override
Index: /src/main/java/geniusweb/partiesserver/RunParty.java
===================================================================
--- /src/main/java/geniusweb/partiesserver/RunParty.java	(revision 20)
+++ /src/main/java/geniusweb/partiesserver/RunParty.java	(revision 21)
@@ -43,15 +43,15 @@
 
 	/**
-	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
-	 *      response). Returns
-	 *      <ul>
-	 *      <li>URL with websocket address to contact the now running agent.
-	 *      <li>SC_NOT_FOUND (404) if attempt is made to access non-running
-	 *      party.
-	 *      <li>SC_SERVICE_UNAVAILABLE (503) if there are no free slots to run
-	 *      the party.
-	 *      <li>SC_EXPECTATION_FAILED (417) if something else goes wrong during
-	 *      instantiating the party (then see logs for more details)
-	 *      </ul>
+	 * See
+	 * {@link HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)}.
+	 * Returns
+	 * <ul>
+	 * <li>URL with websocket address to contact the now running agent.
+	 * <li>SC_NOT_FOUND (404) if attempt is made to access non-running party.
+	 * <li>SC_SERVICE_UNAVAILABLE (503) if there are no free slots to run the
+	 * party.
+	 * <li>SC_EXPECTATION_FAILED (417) if something else goes wrong during
+	 * instantiating the party (then see logs for more details)
+	 * </ul>
 	 */
 	@Override
Index: /src/main/java/geniusweb/partiesserver/repository/AvailableParty.java
===================================================================
--- /src/main/java/geniusweb/partiesserver/repository/AvailableParty.java	(revision 20)
+++ /src/main/java/geniusweb/partiesserver/repository/AvailableParty.java	(revision 21)
@@ -17,6 +17,5 @@
 	 * @param name       the filename. This is not a {@link PartyId}.
 	 * @param partyclass the class of the party.
-	 * @throws IllegalAccessException
-	 * @throws InstantiationException
+	 * @throws ClassNotFoundException if unknown partyclass
 	 */
 	public AvailableParty(String name, Class<? extends Party> partyclass)
Index: /src/main/java/geniusweb/partiesserver/repository/RunningParty.java
===================================================================
--- /src/main/java/geniusweb/partiesserver/repository/RunningParty.java	(revision 20)
+++ /src/main/java/geniusweb/partiesserver/repository/RunningParty.java	(revision 21)
@@ -10,5 +10,4 @@
 
 import geniusweb.actions.PartyId;
-import geniusweb.connection.DefaultConnection;
 import geniusweb.inform.Inform;
 import geniusweb.partiesserver.RunningPartiesUpdater;
@@ -52,4 +51,5 @@
 	 * @param party the new party
 	 * @param id    the new id for the party.
+	 * @param name  the name, this should match the filename
 	 * @param start the start date for this party. Usually set to current time.
 	 * @param end   the end date for this party
@@ -72,8 +72,5 @@
 
 	/**
-	 * Create instance from availableparty
-	 * 
 	 * @param availableparty the {@link AvailableParty}
-	 * @param name           the (file)name
 	 * @param maxlifetimems  the maximum life time for this party (ms). The
 	 *                       party will be killed and removed after this point.
@@ -81,6 +78,14 @@
 	 *                       time plus the worst time to actual start up of the
 	 *                       negotiation
-	 * @throws IllegalAccessException
-	 * @throws InstantiationException
+	 * @return a new RunningParty being an instance of availableparty
+	 * @throws IllegalAccessException if the class or its nullary constructor is
+	 *                                not accessible.
+	 * 
+	 * @throws InstantiationException if this Class represents an abstract
+	 *                                class, an interface, an array class, a
+	 *                                primitive type, or void; or if the class
+	 *                                has no nullary constructor; or if the
+	 *                                instantiation fails for some other reason.
+	 * 
 	 */
 	public static RunningParty create(AvailableParty availableparty,
@@ -104,7 +109,8 @@
 	 *                     {@link RunningPartiesUpdater} will keep an eye on the
 	 *                     time and handle removal after time is up.
-	 * 
-	 */
-	public static RunningParty create(Party party, String name,
+	 * @return new RunningParty created from the Party instance.
+	 * 
+	 */
+	private static RunningParty create(Party party, String name,
 			long maxRunTimeMS) {
 		if (maxRunTimeMS <= 0) {
@@ -133,7 +139,7 @@
 
 	/**
-	 * The name, this should match the filename in the repo (without the .jar).
-	 * 
-	 * @return
+	 * @return The name, this should match the filename in the repo (without the
+	 *         .jar).
+	 * 
 	 */
 	public String getName() {
@@ -207,8 +213,8 @@
 
 	/**
-	 * You must have called {@link #connect(DefaultConnection)} before calling
+	 * You must have called {@link #withConnection(PartySocket)} before calling
 	 * this.
 	 * 
-	 * @param info
+	 * @param info the {@link Inform} to be sent to the {@link #connection}
 	 */
 	public void inform(Inform info) {
Index: /src/main/java/geniusweb/partiesserver/websocket/PartySocket.java
===================================================================
--- /src/main/java/geniusweb/partiesserver/websocket/PartySocket.java	(revision 20)
+++ /src/main/java/geniusweb/partiesserver/websocket/PartySocket.java	(revision 21)
@@ -19,6 +19,4 @@
 import javax.websocket.server.ServerEndpoint;
 
-import com.fasterxml.jackson.core.JsonParseException;
-import com.fasterxml.jackson.databind.JsonMappingException;
 import com.fasterxml.jackson.databind.ObjectMapper;
 
@@ -124,8 +122,10 @@
 	 *                      {@link Inform}
 	 * @param session       the session. We already have this info.
+	 * @throws IOException if there is a socket/connection error, we can't parse
+	 *                     the received data, etc
 	 */
 	@OnMessage
 	public void onMessage(String informmessage, Session session)
-			throws JsonParseException, JsonMappingException, IOException {
+			throws IOException {
 		if (this.session != session) {
 			throw new IllegalStateException("Unexpected change of session ID");
Index: /src/test/java/geniusweb/partiesserver/AvailablePartiesUpdaterTest.java
===================================================================
--- /src/test/java/geniusweb/partiesserver/AvailablePartiesUpdaterTest.java	(revision 20)
+++ /src/test/java/geniusweb/partiesserver/AvailablePartiesUpdaterTest.java	(revision 21)
@@ -31,5 +31,5 @@
 
 public class AvailablePartiesUpdaterTest {
-	private static final String RANDOMPARTY = "target/jars/randomparty-1.5.2.jar";
+	private static final String RANDOMPARTY = "target/jars/randomparty-1.5.3.jar";
 	private static final int TESTRATE = 200; // check file changes every 200ms
 	@SuppressWarnings("unchecked")
Index: /src/test/java/geniusweb/partiesserver/JavaClientTest.java
===================================================================
--- /src/test/java/geniusweb/partiesserver/JavaClientTest.java	(revision 20)
+++ /src/test/java/geniusweb/partiesserver/JavaClientTest.java	(revision 21)
@@ -39,5 +39,5 @@
  */
 public class JavaClientTest {
-	private static final String RANDOMPARTY = "http://localhost:8080/partiesserver/run/randomparty-1.5.2";
+	private static final String RANDOMPARTY = "http://localhost:8080/partiesserver/run/randomparty-1.5.3";
 	private EmbeddedTomcat tomcat = new EmbeddedTomcat();
 	private JavaClient client = new JavaClient();
